> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite a Company to connect through an Account

> Invite a `Company` which is not yet on the `Tread` platform to connect through an `Account`.

This will create:
 * a new `Company` named `name` using `contact` data for `primary_contact ` and `billing_contact` 
 * a new `User` with information from `contact` that has the `Company Admin` `IamRole`
 * a new `Account` owned by the currently authenticated `User`'s `Company` and connected to the newly created `Company`

Note that all fields in `contact` are required.

The following unique constraints must be met or a `422` will be returned:
 * `name` must be globally unique to `Companies` 
 * `contact.email` and `contact.phone` must be globally unique to `Users`

If successful the newly created `Account` will be returned.
 
This endpoint requires the `create_account` `IamPermission`
 




## OpenAPI

````yaml /api-reference/openapi.json post /v1/accounts/invite
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/accounts/invite:
    parameters:
      - $ref: '#/components/parameters/Accept-Language'
    post:
      tags:
        - Accounts
      summary: Invite a Company to connect through an Account
      description: >
        Invite a `Company` which is not yet on the `Tread` platform to connect
        through an `Account`.


        This will create:
         * a new `Company` named `name` using `contact` data for `primary_contact ` and `billing_contact` 
         * a new `User` with information from `contact` that has the `Company Admin` `IamRole`
         * a new `Account` owned by the currently authenticated `User`'s `Company` and connected to the newly created `Company`

        Note that all fields in `contact` are required.


        The following unique constraints must be met or a `422` will be
        returned:
         * `name` must be globally unique to `Companies` 
         * `contact.email` and `contact.phone` must be globally unique to `Users`

        If successful the newly created `Account` will be returned.
         
        This endpoint requires the `create_account` `IamPermission`
         
      operationId: post-v1-accounts-invite
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Account-Invite'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Account-Read'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
        '415':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/ModelError'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    Account-Invite:
      title: Account-Invite
      x-stoplight:
        id: 8btqvy3ojzvxj
      type: object
      required:
        - name
        - contact
        - address
        - account_types
        - auto_accept_orders
      properties:
        name:
          type: string
          x-stoplight:
            id: szxvxy8gtcs4d
          description: name for the `Account` and `Company`
        contact:
          $ref: '#/components/schemas/Contact-Create'
        address:
          $ref: '#/components/schemas/Address-Create'
        account_types:
          type: array
          x-stoplight:
            id: xqelgawt2nuia
          description: Account type allowing for multiple values
          items:
            $ref: '#/components/schemas/AccountType'
        company_id:
          type: string
          x-stoplight:
            id: vi6xr68lbj1ln
          format: uuid
          nullable: true
        department:
          type: string
          x-stoplight:
            id: bg894oo5aem0d
          deprecated: true
          nullable: true
        department_id:
          type: string
          x-stoplight:
            id: 7k6resx8we6g2
          format: uuid
          description: |-
            The ID of the associated **Department**.

            This should be used instead of `department`.
          nullable: true
        notes:
          type: string
          x-stoplight:
            id: mozoefi7tn3vn
          nullable: true
        external_id:
          type: string
          x-stoplight:
            id: ghv5udvm51jkh
          description: Identifier used to associate an account to any external system
          nullable: true
        accounting_id:
          type: string
          x-stoplight:
            id: hgv5udvm51jkh
          description: The accounting ID of the Account mapping to any accounting system
          nullable: true
        truck_count:
          type: integer
          x-stoplight:
            id: xxujn60891ma2
          description: >-
            The allowable number of trucks that is dispatchable to the customer
            of this account.
          nullable: true
        auto_accept_orders:
          type: boolean
          x-stoplight:
            id: osbpw6who0ya6
          description: >-
            Indicates whether orders and their jobs will be accepted
            automatcially into the vendor account.
        send_invite:
          $ref: '#/components/schemas/SendInvite'
        company_type:
          x-stoplight:
            id: xbozhh7e5fbt9
          enum:
            - broker
            - contractor
            - hauler
            - owner_operator
            - producer
          default: producer
        equipment:
          $ref: '#/components/schemas/Account-Invite-Equipment-Create'
        time_zone:
          $ref: '#/components/schemas/TimeZone'
        scoped_company_id:
          type: string
          x-stoplight:
            id: 9sfcuew1u5enw
          format: uuid
          nullable: true
        internal_equipment:
          $ref: '#/components/schemas/Account-Invite-Internal-Equipment-Create'
        label_ids:
          type: array
          x-stoplight:
            id: lbl1d5cr8inv1
          description: Array of Label IDs to assign to this account.
          items:
            type: string
            format: uuid
      additionalProperties: false
    Account-Read:
      title: Account-Read
      x-stoplight:
        id: wei0biagg591t
      allOf:
        - $ref: '#/components/schemas/Account-Read-Nested'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          required:
            - notes
            - truck_count
            - auto_accept_orders
            - managed
            - labels
          properties:
            primary_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            address:
              $ref: '#/components/schemas/Address-Read-Nested'
            notes:
              type: string
              x-stoplight:
                id: 2sjpg062n562q
              description: Notes
              nullable: true
            truck_count:
              type: integer
              x-stoplight:
                id: 3ha8rwl257389
              description: >-
                The allowable number of trucks that is dispatchable to the
                customer of this account.
            auto_accept_orders:
              type: boolean
              x-stoplight:
                id: ktqejg58pns0n
              default: false
              description: >-
                Indicates whether orders and their jobs will be accepted
                automatcially into the vendor account.
            connected_account:
              $ref: '#/components/schemas/Account-Connected-Read-Nested'
            managed:
              type: boolean
              x-stoplight:
                id: cbaejg58pns2s
            department:
              $ref: '#/components/schemas/Department-Read-Nested'
            labels:
              type: array
              items:
                $ref: '#/components/schemas/Label-Read-Nested'
              description: Labels assigned to this account
    Contact-Create:
      title: Contact-Create
      x-stoplight:
        id: dhro09gmoiqgw
      type: object
      properties:
        name:
          type: string
          x-stoplight:
            id: ehb4vhlggledw
        email:
          type: string
          x-stoplight:
            id: kxjggao5fm38r
        phone:
          type: string
          x-stoplight:
            id: 3dxv517oimpb1
          example: '+18885551234'
          description: Contact's E.164 formatted phone number
      additionalProperties: false
    Address-Create:
      title: Address-Create
      x-stoplight:
        id: 9wmd46rzgjxh7
      type: object
      required:
        - thoroughfare
        - locality
        - administrative_area
        - postal_code
        - country
      properties:
        thoroughfare:
          type: string
          x-stoplight:
            id: zkh46rwwvpuca
          description: Street address
          example: 123 Fake St.
        premise:
          type: string
          x-stoplight:
            id: bkcia8yh59wzf
          description: Apartment, Suite, Box number, etc.
          example: 3rd Floor
        locality:
          type: string
          x-stoplight:
            id: e40nnuxgub7ug
          description: City / Town
          example: New York
        administrative_area:
          type: string
          x-stoplight:
            id: 2bfqcapyozkpp
          description: State / Province / Region (ISO code when available)
          example: NY
        postal_code:
          type: string
          x-stoplight:
            id: a9m9rbcbsa635
          description: Postal code / ZIP Code
          example: '10011'
        country:
          type: string
          x-stoplight:
            id: gud5s8ypb8oam
          minLength: 2
          maxLength: 2
          pattern: ^[A-Z]{2}
          example: US
          description: 2 character country ISO code
        lat:
          type: string
          x-stoplight:
            id: nwg5be93gvmkd
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
        lon:
          type: string
          x-stoplight:
            id: rcvsjw8cbs4hs
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
        place_id:
          type: string
          x-stoplight:
            id: xtuyrwo0rqzkh
          description: NextBillion placeID
      additionalProperties: false
    AccountType:
      title: AccountType
      x-stoplight:
        id: i4vfmd4rwrq8p
      enum:
        - customer
        - vendor
      example: customer
    SendInvite:
      title: SendInvite
      x-stoplight:
        id: 85j5tkeowjyx9
      type: object
      properties:
        email:
          type: boolean
          default: false
          description: >-
            Whether to send an invitation via email along with the creation of
            the `User`.


            Requires the `email` field to be present.
        sms:
          type: boolean
          default: false
          description: >-
            Whether to send an invitation via sms along with the creation of the
            `User`. 


            Requires the `phone` field to be present.
      additionalProperties: false
    Account-Invite-Equipment-Create:
      title: Account-Connected-Equipment-Create
      x-stoplight:
        id: 96z7vtoxp435z
      type: object
      required:
        - name
        - equipment_type_name
      properties:
        name:
          type: string
          x-stoplight:
            id: 79jp1s2je16pq
        external_id:
          type: string
          x-stoplight:
            id: k8wmn7qq9njbq
        license_number:
          type: string
          x-stoplight:
            id: 7sjz7irjuf0ii
        equipment_type_name:
          type: string
          x-stoplight:
            id: lse1trsvxmrn0
        company_share_external_id:
          type: string
          x-stoplight:
            id: pmf52ug1jsgn0
      additionalProperties: false
    TimeZone:
      title: TimeZone
      x-stoplight:
        id: 23bilsa9wx5xx
      enum:
        - Africa/Abidjan
        - Africa/Accra
        - Africa/Addis_Ababa
        - Africa/Algiers
        - Africa/Asmara
        - Africa/Asmera
        - Africa/Bamako
        - Africa/Bangui
        - Africa/Banjul
        - Africa/Bissau
        - Africa/Blantyre
        - Africa/Brazzaville
        - Africa/Bujumbura
        - Africa/Cairo
        - Africa/Casablanca
        - Africa/Ceuta
        - Africa/Conakry
        - Africa/Dakar
        - Africa/Dar_es_Salaam
        - Africa/Djibouti
        - Africa/Douala
        - Africa/El_Aaiun
        - Africa/Freetown
        - Africa/Gaborone
        - Africa/Harare
        - Africa/Johannesburg
        - Africa/Juba
        - Africa/Kampala
        - Africa/Khartoum
        - Africa/Kigali
        - Africa/Kinshasa
        - Africa/Lagos
        - Africa/Libreville
        - Africa/Lome
        - Africa/Luanda
        - Africa/Lubumbashi
        - Africa/Lusaka
        - Africa/Malabo
        - Africa/Maputo
        - Africa/Maseru
        - Africa/Mbabane
        - Africa/Mogadishu
        - Africa/Monrovia
        - Africa/Nairobi
        - Africa/Ndjamena
        - Africa/Niamey
        - Africa/Nouakchott
        - Africa/Ouagadougou
        - Africa/Porto-Novo
        - Africa/Sao_Tome
        - Africa/Timbuktu
        - Africa/Tripoli
        - Africa/Tunis
        - Africa/Windhoek
        - America/Adak
        - America/Anchorage
        - America/Anguilla
        - America/Antigua
        - America/Araguaina
        - America/Argentina/Buenos_Aires
        - America/Argentina/Catamarca
        - America/Argentina/ComodRivadavia
        - America/Argentina/Cordoba
        - America/Argentina/Jujuy
        - America/Argentina/La_Rioja
        - America/Argentina/Mendoza
        - America/Argentina/Rio_Gallegos
        - America/Argentina/Salta
        - America/Argentina/San_Juan
        - America/Argentina/San_Luis
        - America/Argentina/Tucuman
        - America/Argentina/Ushuaia
        - America/Aruba
        - America/Asuncion
        - America/Atikokan
        - America/Atka
        - America/Bahia
        - America/Bahia_Banderas
        - America/Barbados
        - America/Belem
        - America/Belize
        - America/Blanc-Sablon
        - America/Boa_Vista
        - America/Bogota
        - America/Boise
        - America/Buenos_Aires
        - America/Cambridge_Bay
        - America/Campo_Grande
        - America/Cancun
        - America/Caracas
        - America/Catamarca
        - America/Cayenne
        - America/Cayman
        - America/Chicago
        - America/Chihuahua
        - America/Ciudad_Juarez
        - America/Coral_Harbour
        - America/Cordoba
        - America/Costa_Rica
        - America/Coyhaique
        - America/Creston
        - America/Cuiaba
        - America/Curacao
        - America/Danmarkshavn
        - America/Dawson
        - America/Dawson_Creek
        - America/Denver
        - America/Detroit
        - America/Dominica
        - America/Edmonton
        - America/Eirunepe
        - America/El_Salvador
        - America/Ensenada
        - America/Fort_Nelson
        - America/Fort_Wayne
        - America/Fortaleza
        - America/Glace_Bay
        - America/Godthab
        - America/Goose_Bay
        - America/Grand_Turk
        - America/Grenada
        - America/Guadeloupe
        - America/Guatemala
        - America/Guayaquil
        - America/Guyana
        - America/Halifax
        - America/Havana
        - America/Hermosillo
        - America/Indiana/Indianapolis
        - America/Indiana/Knox
        - America/Indiana/Marengo
        - America/Indiana/Petersburg
        - America/Indiana/Tell_City
        - America/Indiana/Vevay
        - America/Indiana/Vincennes
        - America/Indiana/Winamac
        - America/Indianapolis
        - America/Inuvik
        - America/Iqaluit
        - America/Jamaica
        - America/Jujuy
        - America/Juneau
        - America/Kentucky/Louisville
        - America/Kentucky/Monticello
        - America/Knox_IN
        - America/Kralendijk
        - America/La_Paz
        - America/Lima
        - America/Los_Angeles
        - America/Louisville
        - America/Lower_Princes
        - America/Maceio
        - America/Managua
        - America/Manaus
        - America/Marigot
        - America/Martinique
        - America/Matamoros
        - America/Mazatlan
        - America/Mendoza
        - America/Menominee
        - America/Merida
        - America/Metlakatla
        - America/Mexico_City
        - America/Miquelon
        - America/Moncton
        - America/Monterrey
        - America/Montevideo
        - America/Montreal
        - America/Montserrat
        - America/Nassau
        - America/New_York
        - America/Nipigon
        - America/Nome
        - America/Noronha
        - America/North_Dakota/Beulah
        - America/North_Dakota/Center
        - America/North_Dakota/New_Salem
        - America/Nuuk
        - America/Ojinaga
        - America/Panama
        - America/Pangnirtung
        - America/Paramaribo
        - America/Phoenix
        - America/Port-au-Prince
        - America/Port_of_Spain
        - America/Porto_Acre
        - America/Porto_Velho
        - America/Puerto_Rico
        - America/Punta_Arenas
        - America/Rainy_River
        - America/Rankin_Inlet
        - America/Recife
        - America/Regina
        - America/Resolute
        - America/Rio_Branco
        - America/Rosario
        - America/Santa_Isabel
        - America/Santarem
        - America/Santiago
        - America/Santo_Domingo
        - America/Sao_Paulo
        - America/Scoresbysund
        - America/Shiprock
        - America/Sitka
        - America/St_Barthelemy
        - America/St_Johns
        - America/St_Kitts
        - America/St_Lucia
        - America/St_Thomas
        - America/St_Vincent
        - America/Swift_Current
        - America/Tegucigalpa
        - America/Thule
        - America/Thunder_Bay
        - America/Tijuana
        - America/Toronto
        - America/Tortola
        - America/Vancouver
        - America/Virgin
        - America/Whitehorse
        - America/Winnipeg
        - America/Yakutat
        - America/Yellowknife
        - Antarctica/Casey
        - Antarctica/Davis
        - Antarctica/DumontDUrville
        - Antarctica/Macquarie
        - Antarctica/Mawson
        - Antarctica/McMurdo
        - Antarctica/Palmer
        - Antarctica/Rothera
        - Antarctica/South_Pole
        - Antarctica/Syowa
        - Antarctica/Troll
        - Antarctica/Vostok
        - Arctic/Longyearbyen
        - Asia/Aden
        - Asia/Almaty
        - Asia/Amman
        - Asia/Anadyr
        - Asia/Aqtau
        - Asia/Aqtobe
        - Asia/Ashgabat
        - Asia/Ashkhabad
        - Asia/Atyrau
        - Asia/Baghdad
        - Asia/Bahrain
        - Asia/Baku
        - Asia/Bangkok
        - Asia/Barnaul
        - Asia/Beirut
        - Asia/Bishkek
        - Asia/Brunei
        - Asia/Calcutta
        - Asia/Chita
        - Asia/Choibalsan
        - Asia/Chongqing
        - Asia/Chungking
        - Asia/Colombo
        - Asia/Dacca
        - Asia/Damascus
        - Asia/Dhaka
        - Asia/Dili
        - Asia/Dubai
        - Asia/Dushanbe
        - Asia/Famagusta
        - Asia/Gaza
        - Asia/Harbin
        - Asia/Hebron
        - Asia/Ho_Chi_Minh
        - Asia/Hong_Kong
        - Asia/Hovd
        - Asia/Irkutsk
        - Asia/Istanbul
        - Asia/Jakarta
        - Asia/Jayapura
        - Asia/Jerusalem
        - Asia/Kabul
        - Asia/Kamchatka
        - Asia/Karachi
        - Asia/Kashgar
        - Asia/Kathmandu
        - Asia/Katmandu
        - Asia/Khandyga
        - Asia/Kolkata
        - Asia/Krasnoyarsk
        - Asia/Kuala_Lumpur
        - Asia/Kuching
        - Asia/Kuwait
        - Asia/Macao
        - Asia/Macau
        - Asia/Magadan
        - Asia/Makassar
        - Asia/Manila
        - Asia/Muscat
        - Asia/Nicosia
        - Asia/Novokuznetsk
        - Asia/Novosibirsk
        - Asia/Omsk
        - Asia/Oral
        - Asia/Phnom_Penh
        - Asia/Pontianak
        - Asia/Pyongyang
        - Asia/Qatar
        - Asia/Qostanay
        - Asia/Qyzylorda
        - Asia/Rangoon
        - Asia/Riyadh
        - Asia/Saigon
        - Asia/Sakhalin
        - Asia/Samarkand
        - Asia/Seoul
        - Asia/Shanghai
        - Asia/Singapore
        - Asia/Srednekolymsk
        - Asia/Taipei
        - Asia/Tashkent
        - Asia/Tbilisi
        - Asia/Tehran
        - Asia/Tel_Aviv
        - Asia/Thimbu
        - Asia/Thimphu
        - Asia/Tokyo
        - Asia/Tomsk
        - Asia/Ujung_Pandang
        - Asia/Ulaanbaatar
        - Asia/Ulan_Bator
        - Asia/Urumqi
        - Asia/Ust-Nera
        - Asia/Vientiane
        - Asia/Vladivostok
        - Asia/Yakutsk
        - Asia/Yangon
        - Asia/Yekaterinburg
        - Asia/Yerevan
        - Atlantic/Azores
        - Atlantic/Bermuda
        - Atlantic/Canary
        - Atlantic/Cape_Verde
        - Atlantic/Faeroe
        - Atlantic/Faroe
        - Atlantic/Jan_Mayen
        - Atlantic/Madeira
        - Atlantic/Reykjavik
        - Atlantic/South_Georgia
        - Atlantic/St_Helena
        - Atlantic/Stanley
        - Australia/ACT
        - Australia/Adelaide
        - Australia/Brisbane
        - Australia/Broken_Hill
        - Australia/Canberra
        - Australia/Currie
        - Australia/Darwin
        - Australia/Eucla
        - Australia/Hobart
        - Australia/LHI
        - Australia/Lindeman
        - Australia/Lord_Howe
        - Australia/Melbourne
        - Australia/NSW
        - Australia/North
        - Australia/Perth
        - Australia/Queensland
        - Australia/South
        - Australia/Sydney
        - Australia/Tasmania
        - Australia/Victoria
        - Australia/West
        - Australia/Yancowinna
        - Brazil/Acre
        - Brazil/DeNoronha
        - Brazil/East
        - Brazil/West
        - CET
        - CST6CDT
        - Canada/Atlantic
        - Canada/Central
        - Canada/Eastern
        - Canada/Mountain
        - Canada/Newfoundland
        - Canada/Pacific
        - Canada/Saskatchewan
        - Canada/Yukon
        - Chile/Continental
        - Chile/EasterIsland
        - Cuba
        - EET
        - EST
        - EST5EDT
        - Egypt
        - Eire
        - Etc/GMT
        - Etc/GMT+0
        - Etc/GMT+1
        - Etc/GMT+10
        - Etc/GMT+11
        - Etc/GMT+12
        - Etc/GMT+2
        - Etc/GMT+3
        - Etc/GMT+4
        - Etc/GMT+5
        - Etc/GMT+6
        - Etc/GMT+7
        - Etc/GMT+8
        - Etc/GMT+9
        - Etc/GMT-0
        - Etc/GMT-1
        - Etc/GMT-10
        - Etc/GMT-11
        - Etc/GMT-12
        - Etc/GMT-13
        - Etc/GMT-14
        - Etc/GMT-2
        - Etc/GMT-3
        - Etc/GMT-4
        - Etc/GMT-5
        - Etc/GMT-6
        - Etc/GMT-7
        - Etc/GMT-8
        - Etc/GMT-9
        - Etc/GMT0
        - Etc/Greenwich
        - Etc/UCT
        - Etc/UTC
        - Etc/Universal
        - Etc/Zulu
        - Europe/Amsterdam
        - Europe/Andorra
        - Europe/Astrakhan
        - Europe/Athens
        - Europe/Belfast
        - Europe/Belgrade
        - Europe/Berlin
        - Europe/Bratislava
        - Europe/Brussels
        - Europe/Bucharest
        - Europe/Budapest
        - Europe/Busingen
        - Europe/Chisinau
        - Europe/Copenhagen
        - Europe/Dublin
        - Europe/Gibraltar
        - Europe/Guernsey
        - Europe/Helsinki
        - Europe/Isle_of_Man
        - Europe/Istanbul
        - Europe/Jersey
        - Europe/Kaliningrad
        - Europe/Kiev
        - Europe/Kirov
        - Europe/Kyiv
        - Europe/Lisbon
        - Europe/Ljubljana
        - Europe/London
        - Europe/Luxembourg
        - Europe/Madrid
        - Europe/Malta
        - Europe/Mariehamn
        - Europe/Minsk
        - Europe/Monaco
        - Europe/Moscow
        - Europe/Nicosia
        - Europe/Oslo
        - Europe/Paris
        - Europe/Podgorica
        - Europe/Prague
        - Europe/Riga
        - Europe/Rome
        - Europe/Samara
        - Europe/San_Marino
        - Europe/Sarajevo
        - Europe/Saratov
        - Europe/Simferopol
        - Europe/Skopje
        - Europe/Sofia
        - Europe/Stockholm
        - Europe/Tallinn
        - Europe/Tirane
        - Europe/Tiraspol
        - Europe/Ulyanovsk
        - Europe/Uzhgorod
        - Europe/Vaduz
        - Europe/Vatican
        - Europe/Vienna
        - Europe/Vilnius
        - Europe/Volgograd
        - Europe/Warsaw
        - Europe/Zagreb
        - Europe/Zaporozhye
        - Europe/Zurich
        - Factory
        - GB
        - GB-Eire
        - GMT
        - GMT+0
        - GMT-0
        - GMT0
        - Greenwich
        - HST
        - Hongkong
        - Iceland
        - Indian/Antananarivo
        - Indian/Chagos
        - Indian/Christmas
        - Indian/Cocos
        - Indian/Comoro
        - Indian/Kerguelen
        - Indian/Mahe
        - Indian/Maldives
        - Indian/Mauritius
        - Indian/Mayotte
        - Indian/Reunion
        - Iran
        - Israel
        - Jamaica
        - Japan
        - Kwajalein
        - Libya
        - MET
        - MST
        - MST7MDT
        - Mexico/BajaNorte
        - Mexico/BajaSur
        - Mexico/General
        - NZ
        - NZ-CHAT
        - Navajo
        - PRC
        - PST8PDT
        - Pacific/Apia
        - Pacific/Auckland
        - Pacific/Bougainville
        - Pacific/Chatham
        - Pacific/Chuuk
        - Pacific/Easter
        - Pacific/Efate
        - Pacific/Enderbury
        - Pacific/Fakaofo
        - Pacific/Fiji
        - Pacific/Funafuti
        - Pacific/Galapagos
        - Pacific/Gambier
        - Pacific/Guadalcanal
        - Pacific/Guam
        - Pacific/Honolulu
        - Pacific/Johnston
        - Pacific/Kanton
        - Pacific/Kiritimati
        - Pacific/Kosrae
        - Pacific/Kwajalein
        - Pacific/Majuro
        - Pacific/Marquesas
        - Pacific/Midway
        - Pacific/Nauru
        - Pacific/Niue
        - Pacific/Norfolk
        - Pacific/Noumea
        - Pacific/Pago_Pago
        - Pacific/Palau
        - Pacific/Pitcairn
        - Pacific/Pohnpei
        - Pacific/Ponape
        - Pacific/Port_Moresby
        - Pacific/Rarotonga
        - Pacific/Saipan
        - Pacific/Samoa
        - Pacific/Tahiti
        - Pacific/Tarawa
        - Pacific/Tongatapu
        - Pacific/Truk
        - Pacific/Wake
        - Pacific/Wallis
        - Pacific/Yap
        - Poland
        - Portugal
        - ROC
        - ROK
        - Singapore
        - Turkey
        - UCT
        - US/Alaska
        - US/Aleutian
        - US/Arizona
        - US/Central
        - US/East-Indiana
        - US/Eastern
        - US/Hawaii
        - US/Indiana-Starke
        - US/Michigan
        - US/Mountain
        - US/Pacific
        - US/Samoa
        - UTC
        - Universal
        - W-SU
        - WET
        - Zulu
      example: America/New_York
      default: America/New_York
    Account-Invite-Internal-Equipment-Create:
      title: Account-Invite-Internal-Equipment-Create
      x-stoplight:
        id: vc772nrou4cni
      type: object
      required:
        - name
        - equipment_type_id
      properties:
        name:
          type: string
          x-stoplight:
            id: 26xxohy7ema3a
        equipment_type_id:
          type: string
          x-stoplight:
            id: 6vdvg75fmsz5w
          format: uuid
        ownership:
          $ref: '#/components/schemas/EquipmentOwnership'
        state:
          $ref: '#/components/schemas/EquipmentState'
        home_base_id:
          type: string
          x-stoplight:
            id: m3vqw8fx2k7nt
          format: uuid
          nullable: true
      additionalProperties: false
    Account-Read-Nested:
      title: Account-Read-Nested
      x-stoplight:
        id: zo8r3gsz1tm5h
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Discardable'
        - type: object
          x-stoplight:
            id: gl7hua7pv8xka
          required:
            - name
            - account_types
            - external_id
            - accounting_id
            - company
            - schedule_on
          properties:
            name:
              type: string
              x-stoplight:
                id: a7g065w5byfcf
            account_types:
              type: array
              x-stoplight:
                id: a0e9c3lpr1wad
              items:
                $ref: '#/components/schemas/AccountType'
            external_id:
              type: string
              x-stoplight:
                id: yfrec4y0a90cb
              nullable: true
            accounting_id:
              type: string
              x-stoplight:
                id: yfsec5y0a91cb
              nullable: true
            company:
              type: object
              x-stoplight:
                id: 9loqtu14mvlnq
              required:
                - id
              properties:
                id:
                  type: string
                  x-stoplight:
                    id: udjkdjrz08pzr
                  format: uuid
            billing_address:
              $ref: '#/components/schemas/Address-Read-Nested'
            schedule_on:
              type: boolean
              x-stoplight:
                id: 0g9kx77zym4ok
            connected_company:
              $ref: '#/components/schemas/Company-Read-Nested'
            billing_contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
    Timestamps:
      title: Timestamps
      x-stoplight:
        id: t82ecgfu0oj00
      type: object
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          x-stoplight:
            id: gjj950jpq0ga9
          format: date-time
          description: ISO8601 timestamp with local timezone
        updated_at:
          type: string
          x-stoplight:
            id: bwcuyfwc7aj0e
          format: date-time
          description: ISO8601 timestamp with local timezone
      additionalProperties: false
    Contact-Read-Nested:
      title: Contact-Read-Nested
      x-stoplight:
        id: 3u6d8qhsz5ehn
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - email
            - phone
          properties:
            name:
              type: string
              x-stoplight:
                id: sd80y9pbgvkok
              nullable: true
            email:
              type: string
              x-stoplight:
                id: 883fmt34pdeaj
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: wdtqyju4t4u06
              example: '+18885551234'
              nullable: true
      description: ''
    Address-Read-Nested:
      title: Address-Read-Nested
      x-stoplight:
        id: cvym2dzuo375q
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Address-Read'
    Account-Connected-Read-Nested:
      title: Account-Connected-Read-Nested
      x-stoplight:
        id: pg8wjapp9i57b
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Discardable'
        - type: object
          x-stoplight:
            id: afxdwofm2lvk9
          required:
            - account_types
            - truck_count
            - auto_accept_orders
          properties:
            account_types:
              type: array
              x-stoplight:
                id: fuy2f5ufr4t1y
              items:
                $ref: '#/components/schemas/AccountType'
            truck_count:
              type: integer
              x-stoplight:
                id: qy4yfietl0bn9
            auto_accept_orders:
              type: boolean
              x-stoplight:
                id: 9i9aevgy5ke86
      description: ''
    Department-Read-Nested:
      title: Department-Read-Nested
      x-stoplight:
        id: gv9tfg4scr2yx
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: 4y3gfdgq1brqf
          properties:
            name:
              type: string
              x-stoplight:
                id: 3718c2tvwwqsn
              description: Department name.
          required:
            - name
    Label-Read-Nested:
      title: Label-Read-Nested
      x-stoplight:
        id: lbl1readnest01
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          properties:
            name:
              type: string
              x-stoplight:
                id: lbl1nestnm0001
              description: Label name
            color:
              type: string
              x-stoplight:
                id: lbl1nestcol001
              description: Hex color code for the label
              pattern: ^#[0-9A-Fa-f]{6}$
          required:
            - name
            - color
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    ModelError-Response:
      title: ModelError-Response
      x-stoplight:
        id: payf9ndh3l6np
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ModelError'
      additionalProperties: false
    EquipmentOwnership:
      title: EquipmentOwnership
      x-stoplight:
        id: p5e75ayo8y6n5
      enum:
        - internal
        - external
      default: internal
      example: internal
    EquipmentState:
      title: EquipmentState
      x-stoplight:
        id: eh1fgavft82kx
      enum:
        - active
        - inactive
      default: active
      example: active
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    Discardable:
      title: Discardable
      x-stoplight:
        id: 46axlb8u5wjay
      type: object
      required:
        - discarded_at
      properties:
        discarded_at:
          type: string
          x-stoplight:
            id: cy8t6fecoyxbo
          format: date-time
          nullable: true
      additionalProperties: false
    Company-Read-Nested:
      title: Company-Read-Nested
      x-stoplight:
        id: cb2kn77qmf1l7
      description: Compact Company model for nested reads.
      allOf:
        - $ref: '#/components/schemas/Identifier'
          x-stoplight:
            id: jwsufva4znm91
        - $ref: '#/components/schemas/TreadId'
        - type: object
          properties:
            legal_name:
              type: string
              x-stoplight:
                id: yc10t8hieecwk
              description: The Company's name. Must be globally unique.
            company_type:
              $ref: '#/components/schemas/CompanyType'
          required:
            - legal_name
            - company_type
    Address-Read:
      title: Address-Read
      x-stoplight:
        id: v1mcd2qgns2tf
      type: object
      required:
        - thoroughfare
        - premise
        - locality
        - administrative_area
        - postal_code
        - country
        - lat
        - lon
        - place_id
      properties:
        thoroughfare:
          type: string
          x-stoplight:
            id: 8wrr7qkc9ilqn
        premise:
          type: string
          x-stoplight:
            id: z4jth408out1q
          nullable: true
        locality:
          type: string
          x-stoplight:
            id: kfby6wqpgvxbz
        administrative_area:
          type: string
          x-stoplight:
            id: c9bkrloxf4t8d
        postal_code:
          type: string
          x-stoplight:
            id: 7zq51k1mof3o3
        country:
          type: string
          x-stoplight:
            id: iydw9q619ya01
          pattern: ^[A-Z]{2}
          example: US
          minLength: 2
          maxLength: 2
        lat:
          type: string
          x-stoplight:
            id: kqu1qtf9rivh1
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
          nullable: true
        lon:
          type: string
          x-stoplight:
            id: oly2yabkzpk9g
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
          nullable: true
        place_id:
          type: string
          x-stoplight:
            id: im1fdq7qqxdij
          description: NextBillion placeID
          nullable: true
      additionalProperties: false
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    ModelError:
      title: ModelError
      x-stoplight:
        id: nhp6714o4j1qt
      description: A Model-specific error
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          required:
            - errors
          properties:
            errors:
              type: array
              x-stoplight:
                id: m4ul9vcq2deh6
              items:
                $ref: '#/components/schemas/ModelError-Item'
    TreadId:
      title: TreadId
      x-stoplight:
        id: 43k4t5tl359m4
      type: object
      required:
        - tread_id
      properties:
        tread_id:
          type: string
          x-stoplight:
            id: zi3ld7djflw6f
          pattern: ^[0-9A-F]{6}$
          minLength: 6
          maxLength: 6
          example: ABC123
          description: Tread ID
      additionalProperties: false
    CompanyType:
      title: CompanyType
      x-stoplight:
        id: dkzo7gjbtb1b3
      enum:
        - broker
        - contractor
        - hauler
        - owner_operator
        - producer
        - super
      example: hauler
      description: Company Type
    ModelError-Item:
      title: ModelError-Item
      x-stoplight:
        id: b93chwval2t8d
      type: object
      required:
        - model
        - field
        - message
      properties:
        model:
          type: string
          x-stoplight:
            id: 30myfyjkno8ao
          description: The Model associated with this Error
        field:
          type: string
          x-stoplight:
            id: 8gl4ed3uxhdws
          description: The field associated with this Error
        message:
          type: string
          x-stoplight:
            id: bmgbrtmw17qsj
          description: The Error message
      additionalProperties: false
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    ModelError:
      description: ''
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ModelError-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````